Get all ai hosting plans and usages of a project
GET/v2/ projects/ {projectId}/ ai-hostings/
API version
v2
Request method
GET
Operation ID
ai-hosting-project-get-plans
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/ai-hostings?limit=50&page=1
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingProjectGetPlans({
"projectId": "string",
"queryParameters": {
"limit": 50,
"page": 1
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingProjectGetPlans\AiHostingProjectGetPlansRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new AiHostingProjectGetPlansRequest(
projectId: "string"
))
->withLimit(50)
->withPage(1);
$response = $client->aiHosting()->aiHostingProjectGetPlans($request);
var_dump($response->getBody();